#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
class Amount
  attr_reader :cents

  def initialize(cents)
    @cents = cents
  end

  def +(other)
    self.class.new(@cents + other.cents)
  end

  # other numeric operations as required

  def to_s
    sprintf("%.2f", @cents / 100.0)
  end
end
