#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
class CreateCategories < ActiveRecord::Migration
  def self.up
    remove_column :forums, :category                                          
    create_table :categories, :force => true do |t|                           
      t.column :forum_id, :integer, :default => 0, :null => false
      t.column :title, :string, :limit => 40, :default => "", :null => false
    end                                                                       
  end

  def self.down
    drop_table :categories
    add_column :forums, :category, :string, :limit => 40
  end
end
