#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
class AddDefaultCategories < ActiveRecord::Migration
  DefaultCategories = ['Rails', 'Ruby', 'Coat Room'] 

  def self.up
    DefaultCategories.each do |category|
      Category.create(:title => category)
    end
  end

  def self.down
    Category.delete_all(['name IN (?)', DefaultCategories])
  end
end
 