#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
require 'rubygems'
require 'rake'


desc "Deploy basic application directories with rsync" 
task :rsync_deploy => :environment do
  dirs = %w{ app db config lib test public script vendor}
  onserver = "login@remotehost:/home/rails-app-directory/" 
  dirs.each do | dir|
    `rsync -avz -e ssh "#{RAILS_ROOT}/#{dir}" "#{onserver}" --exclude ".svn"`
  end
end

